Package logilab :: Package common :: Package ureports

[frames] | no frames]

# Package ureports

source code

    Universal report objects and some formatting drivers.

    A way to create simple reports using python objects, primarily designed to be
    formatted as text and html.

Submodules

- logilab.common.ureports.docbook_writer: HTML formatting drivers for ureports
- logilab.common.ureports.html_writer: HTML formatting drivers for ureports
- logilab.common.ureports.nodes: Micro reports objects.
- logilab.common.ureports.text_writer: Text formatting drivers for ureports

Classes
| BaseWriter base class for ureport writers

Functions

get_nodes(node, klass) return an iterator on all children node of the given klass | source code

layout_title(layout) try to return the layout's title as string, return None if not found... | source code

build_summary(layout, level=1) make a summary for the report, including X level | source code

Function Details

### layout_title(layout)

source code

    try to return the layout's title as string, return None if not found